const arcData = [
	{ startAngle: 0, endAngle: 0.2 },
	{ startAngle: 0.2, endAngle: 0.6 },
	{ startAngle: 0.6, endAngle: 1.4 },
	{ startAngle: 1.4, endAngle: 3 },
	{ startAngle: 3, endAngle: 2 * Math.PI }
];

const arcGenerator = d3.arc()
	.innerRadius(20)
	.outerRadius(100)
	.padAngle(.02)
	.padRadius(100)
	.cornerRadius(4);

// Create a path element and set its d attribute
d3.select('g')
	.selectAll('path')
	.data(arcData)
	.join('path')
	.attr('fill', 'orange')
	.attr('d', arcGenerator);